/**
 *
 */
package org.gcube.datatransfer.resolver.util;

import javax.servlet.http.HttpServletRequest;


/**
 * The Class Util.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Oct 22, 2018
 */
public class Util {

	/**
	 * Gets the full url.
	 *
	 * @param request the request
	 * @return the full url
	 */
	public static String getFullURL(HttpServletRequest request) {
	    StringBuilder requestURL = new StringBuilder(request.getRequestURL().toString());
	    String queryString = request.getQueryString();

	    if (queryString == null) {
	        return requestURL.toString();
	    } else {
	        return requestURL.append('?').append(queryString).toString();
	    }
	}
}
